Holidays on a date
GET
/v1/holidays/onEvery country that has a public holiday on the day asked (today when left out), with the holiday's name in English and in the country's own language.
On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| dateoptional | date query | A day (today when left out for holidays, the newest day held for rates) e.g. 2026-12-25 |
Request
# Every country with a public holiday on one day
curl "https://api.tourismapi.com/v1/holidays/on" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/holidays/on", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/holidays/on",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/holidays/on");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_d3e1fea092",
"data_as_of": "2026-10-21T17:42:32Z",
"count": 3,
"date": "2026-10-21",
"weekday": "Wednesday",
"countries": 3
},
"data": [
{
"country": "BI",
"country_name": "Burundi",
"name": "Commemoration of the Assassination of President Melchior Ndadaye",
"local_name": "Commémoration de l'Assassinat du Président Melchior Ndadaye",
"national": true
},
{
"country": "BT",
"country_name": "Bhutan",
"name": "Dassain",
"local_name": "ལྷོ་མཚམས་ད་སའིན་ངལ་གསོ།",
"national": true
},
{
"country": "NP",
"country_name": "Nepal",
"name": "Ekadashi (Dashain)",
"local_name": "एकादशी (दशैं)",
"national": true
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| country | string | BI |
| country_name | string | Burundi |
| name | string | Commemoration of the Assassination of President Melchior Ndadaye |
| local_name | string | Commémoration de l'Assassinat du Président Melchior Ndadaye |
| national | boolean | true |